package com.srs.comprehensive.service;

import java.util.List;

import com.baomidou.mybatisplus.extension.service.IService;
import com.srs.comprehensive.domain.QuestionnaireAnswer;
import com.srs.comprehensive.domain.QuestionnaireResult;


/**
 * 【请填写功能名称】Service接口
 *
 * @author srs
 * @date 2024-05-20
 */
public interface IQuestionnaireAnswerService extends IService<QuestionnaireAnswer> {
    /**
     * 查询【请填写功能名称】
     *
     * @param id 【请填写功能名称】主键
     * @return 【请填写功能名称】
     */
    public QuestionnaireAnswer selectAnswerById(Long id);

    /**
     * 查询【请填写功能名称】列表
     *
     * @param tAnswer 【请填写功能名称】
     * @return 【请填写功能名称】集合
     */
    List<QuestionnaireAnswer> selectAnswerList(QuestionnaireAnswer tAnswer);

    /**
     * 新增【请填写功能名称】
     *
     * @param tAnswer 【请填写功能名称】
     * @return 结果
     */
    int insertAnswer(QuestionnaireAnswer tAnswer);

    /**
     * 修改【请填写功能名称】
     *
     * @param tAnswer 【请填写功能名称】
     * @return 结果
     */
    int updateAnswer(QuestionnaireAnswer tAnswer);

    /**
     * 批量删除【请填写功能名称】
     *
     * @param ids 需要删除的【请填写功能名称】主键集合
     * @return 结果
     */
    int deleteAnswerByIds(Long[] ids);

    /**
     * 删除【请填写功能名称】信息
     *
     * @param id 【请填写功能名称】主键
     * @return 结果
     */
    int deleteAnswerById(Long id);


    QuestionnaireAnswer saveAnswer(QuestionnaireAnswer answer);


    List<QuestionnaireResult> ratioScore(QuestionnaireResult result);

}
